Subject: bug#54591: 29.0.50; sqlite-select returns blob result as multibyte string

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Mar 2022 09:40:29 +0300

> From: Yuan Fu <[email-masked]>
> Date: Sat, 26 Mar 2022 22:49:21 -0700
> 
> 
> I’m trying make use of sqlite functionalities added recently and found
> that the query result of blob type entries are multibyte string rather
> than unibyte. That caused issues when I tried to create image out of the
> query result: the image appears to be broken, even though the data is
> good. Adding string-as-unibyte solves the issue, but I guess the
> return value of a blob entry is probably best to be unibyte by default?

If we want to support non-text data in a blob, then yes, I think you
are right.